%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define module pyasn1

Name:           python-pyasn1
Version:        0.0.7a
Release:        3%{?dist}
Summary:        ASN.1 tools for Python
License:        BSD
Group:          System Environment/Libraries
Source0:        http://downloads.sourceforge.net/pyasn1/pyasn1-%{version}.tar.gz
URL:            http://pyasn1.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel python-setuptools

%define vermodule %{module}-%{version}/pyasn1

%description
This project is dedicated to implementation of ASN.1 types (concrete syntax)
and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.


%prep
%setup -n %{module}-%{version} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/ber
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/cer
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/der
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/type

install -p -m 0644 build/lib*/%{module}/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}
install -p -m 0644 build/lib*/%{module}/v1/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1
install -p -m 0644 build/lib*/%{module}/v1/codec/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec
install -p -m 0644 build/lib*/%{module}/v1/codec/ber/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/ber
install -p -m 0644 build/lib*/%{module}/v1/codec/cer/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/cer
install -p -m 0644 build/lib*/%{module}/v1/codec/der/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/codec/der
install -p -m 0644 build/lib*/%{module}/v1/type/*.py* $RPM_BUILD_ROOT%{python_sitelib}/%{module}/v1/type


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE examples/*
%dir %{python_sitelib}/%{module}
%{python_sitelib}/%{module}/*


%changelog
* Mon Jan 14 2008 Rob Crittenden <rcritten@redhat.com> - 0.0.7a-3
- Rename to python-pyasn1
- Spec file cleanups

* Mon Nov 19 2007 Karl MacMillan <kmacmill@redhat.com> - 0.0.7a-2
- Update rpm to be more fedora friendly

* Thu Nov 8 2007 Simo Sorce <ssorce@redhat.com> 0.0.7a-1
- New release

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 0.0.6a-1mdv2008.0
+ Revision: 31989
- fixed (build)requires
- Import pyasn1

